FreeMat

- Main Page
- Related Pages

vtkFreeTypeLabelRenderStrategy

Section: Visualization Toolkit Rendering Classes

# Usage

Uses the FreeType to render labels and compute label sizes. This strategy may be used with vtkLabelPlacementMapper.

To create an instance of class vtkFreeTypeLabelRenderStrategy, simply invoke its constructor as follows

      obj = vtkFreeTypeLabelRenderStrategy

# Methods

The class vtkFreeTypeLabelRenderStrategy has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkFreeTypeLabelRenderStrategy class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkFreeTypeLabelRenderStrategy = obj.NewInstance ()`
- `vtkFreeTypeLabelRenderStrategy = obj.SafeDownCast (vtkObject o)`
- `bool = obj.SupportsRotation ()` - The free type render strategy currently does not support bounded size labels.
- `bool = obj.SupportsBoundedSize ()` - Release any graphics resources that are being consumed by this strategy. The parameter window could be used to determine which graphic resources to release.
- `obj.ReleaseGraphicsResources (vtkWindow window)` - Release any graphics resources that are being consumed by this strategy. The parameter window could be used to determine which graphic resources to release.